import { defineComponent } from 'vue';
import { optionalTemplateHtml } from './variables';
export var Optional = defineComponent({
    render: optionalTemplateHtml,
    props: {
        required: Boolean,
        value: null,
        isReadOnly: Boolean,
        theme: {
            type: Object,
            required: true,
        },
        locale: {
            type: Object,
            required: true,
        },
    },
    computed: {
        hasOptionalCheckbox: function () {
            return !this.required && (this.value === undefined || !this.isReadOnly);
        },
    }
});
